/* FILE: xor.c                  Copyright (c), Symmetric Research, 1992-2000
 *
 * This is a program demonstrating calling a function on the DSP32C
 * board using the DSPASM /sc option.  With this option, the xor.dsp
 * symbol table is dumped in C format to the include file xor.dsc.  This
 * file is then included here for all the DSP32C addresses.  Using this
 * option, symbols need only be maintained in xor.dsp.
 *
 * The commands for building xor.exe are in the make file xor.  Running
 * xor.exe from the DOS command line will print out the result.
 *
 *
 */

#include <stdio.h>
#include <stdlib.h>


#include "dsptools.h"


/* Include the symbols from xor.dsp, all with a leading DSP_ prefix. */

#include "xor.dsc"



int main() {

        long x, y, z;


        /* Download and initalize the DSP32C board. */
        
        if ( !DSP32C_Init() || !DSP32C_SrLoad( "xor.dso", NO_REPORT) ) {

                printf( "ERROR: unable to initialize or download DSP32C\n");
                exit( 1);

                }


        /* Initialize x and y, and execute the DSP32C program. */

        x = 0xFFFF;
        y = 0x1111;

        DSP32C_Put( &x, DSP_x, sizeof( x));
        DSP32C_Put( &y, DSP_y, sizeof( y));

        DSP32C_SetPir( 0); DSP32C_Go(); while ( !DSP32C_Pir() ); DSP32C_Halt();

                DSP32C_Get( DSP_z, &z, sizeof( z));



        /* Print out the result. */

        printf( "z (should be 0xEEEE) = 0x%04lX\n", z);


        exit( 0 );
}
