/* FILE: simpa64.h              Copyright (c), Symmetric Research, 2003
 *
 * This include file has data structures that are common between simpa64.c
 * and downstream user processing.
 *
 *
 */



/* INI DATA:
 *
 *
 *
 *
 */

#define ON                      1
#define OFF                     0

#define NONE                    0          /* OutputFileMode values ... */
#define SINGLE                  1
#define SEQUENTIAL              2
#define TIME                    3

#define TRIG_NONE               0          /* TriggerType values ... */
#define TRIG_THRESHOLD          1
#define TRIG_DIGIO              2

#define MAXCHANNELS             64


struct INI_data {

        char *Filename;


        /* User specified parameters. */

          long ChBufPts;
        double SamplingRate;
        double FilterCoeff;

           int ChannelId[ MAXCHANNELS ];
         char *ChannelTitle[ MAXCHANNELS ];
           int ChannelTrigger[ MAXCHANNELS ];

           int SystemStatus;
           int Dsp32cBaseio;
           int KeypressToRun;
           int ExitOnError;
           int DataDisplay;
           int InfoDisplay;
           int OutputFileMode;
           int OutputSeqStart;
 unsigned long Blocks;
           int TriggerType;
           int TriggerFilesToSave;
           int TriggerDigitalLine;
 unsigned long TriggerThreshold;



        /* ... additional computed items ... */

          long Channels;
          long AcqBufSize;
 unsigned long OutputFileSize;
           int TriggerTimeToSave;

          long NCount;
          long Oversampling;
        double TrueSamplingRate;
        double BufferTime;

        double FilterScale;
        double FilterDecay;

        };










/* HDR DATA:
 *
 *
 *
 *
 *
 */

#define MAXTITLE                        12

#define DATACODING_UNSIGNED             0
#define DATACODING_SIGNED               1

struct HDR_data {

          char Id[32];

          long Channels;
          long RecordPts;
          long WordSize;
          long DataCoding;

        double SamplingRate;
        double Gain;
        double FilterCoeff;
        double FilterScale;

        struct channel_data { long channel; char title[ MAXTITLE]; }

                        ChannelList[ MAXCHANNELS];
        };
